# $Revision: 1.12 $, $Date: 2004/05/07 01:09:25 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tie
%define		pnam	EncryptedHash
Summary:	Tie::EncryptedHash Perl module - hashes with encrypting fields
Summary(pl):	Modu Perla Tie::EncryptedHash - hasze z kodowanymi polami
Name:		perl-Tie-EncryptedHash
Version:	1.21
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5a85bd78c74ef52aeff6c70836f9d3bf
%if %{with tests}
BuildRequires:	perl-Crypt-Blowfish
BuildRequires:	perl-Crypt-CBC
BuildRequires:	perl-Crypt-DES
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tie::EncryptedHash augments Perl hash semantics to build secure,
encrypting containers of data.

%description -l pl
Modu Tie::EncryptedHash rozszerza semantyk perlowych haszy, aby
uzyska bezpieczne, szyfrujce struktury do przechowywania danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.html
%{perl_vendorlib}/Tie/EncryptedHash.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tie-EncryptedHash.spec,v $
Revision 1.12  2004/05/07 01:09:25  ankry
- rel. 3

Revision 1.11  2004/05/06 18:21:22  ankry
- fixed perl-devel BR

Revision 1.10  2004/05/03 21:42:22  ankry
- cosmetics

Revision 1.9  2003/10/29 19:15:23  migo
- add tests bcond
- bconded BRs

Revision 1.8  2003/08/18 08:09:23  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:01:08  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:25:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:37  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 21:35:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:38:59  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/21 12:26:22  qboosh
- new

